adtf-2.14.0 binary with Visual Studio 2019
Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

 

Department: CARMEQ Affected Products: ADTF 2.14.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

Would it be possible to get a adtf-2.14.0 binary that was compiled with the latest Visual Studio 2019?

Lösung

no, only Visual Studio 2010 SP1 (vc100) version is available, and no other compiler versions are planned anymore, the product will

be discontinued

https://support.digitalwerk.net/news/38

A compiler upgrade would technically not have been possible due to missing APIs and binary compatibility issues. Therefore

amongst other things, ADTF 3.x exists,

where features of new VC compilers can be used

At the moment, for ADTF 3.6.x, Visual Studio C++ 2017 (VC141) is beeing used, as in Qt 5.12.x and other 3rd party dependencies

Related issues:

Related to Public Support - Support Request #15303: ADTF 2 alternative compil... Closed

History

#1 - 2019-11-29 14:07 - hidden

- Project changed from Public Support to 20

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

Hello,

no, only Visual Studio 2010 SP1 (vc100) version is available, and no other compiler versions are planned anymore, the product will be discontinued

https://support.digitalwerk.net/news/38

A compiler upgrade would technically not have been possible due to missing APIs and binary compatibility issues. Therefore amongst other things,

ADTF 3.x exists,

where features of new VC compilers can be used

At the moment, for ADTF 3.6.x, Visual Studio C++ 2017 (VC141) is beeing used, as in Qt 5.12.x and other 3rd party dependencies

#2 - 2019-12-02 09:59 - hidden

- Resolution set to Not Supported Scope

#3 - 2019-12-05 13:29 - hidden

- Project changed from 20 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

#4 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed

#5 - 2021-09-28 07:04 - hidden

- Related to Support Request #15303: ADTF 2 alternative compiler support added
